/*******************
*   BELOW 1312px    *
*******************/
/* @media (max-width: 82rem) {
  h1 {
    font-size: 3.6rem;
  }

  .menu-item {
    font-size: 2rem;
  }
} */

/*******************
*   ABOVE 944px    *
********************/
@media (min-width: 59rem) {
  .process-map {
    grid-template-columns: repeat(3, 1fr);
    grid-template-areas:
      "s1 s2 s3"
      "s6 s5 s4"
      "s7 s8 s9";
  }

  /* soron belül előre */
  .process-cell:nth-child(1)::after,
  .process-cell:nth-child(2)::after {
    transform: rotate(-45deg);
    right: -3rem;
  }

  /* sor vége után lefelé mutató nyíl */
  .process-cell:nth-child(3)::after {
    transform: rotate(45deg);
    right: 50%;
    top: 100%;
  }

  /* második sor: visszafelé */
  .process-cell:nth-child(4)::after,
  .process-cell:nth-child(5)::after {
    transform: rotate(135deg);
    left: -3rem;
  }

  /* hatodik után lefele */
  .process-cell:nth-child(6)::after {
    transform: rotate(45deg);
    top: 100%;
    right: 50%;
  }

  /* harmadik sor nyilai (utolsó sor, nem kell lefelé mutató) */
  .process-cell:nth-child(7)::after,
  .process-cell:nth-child(8)::after {
    transform: rotate(-45deg);
    right: -3rem;
  }
}

/*******************
*   BELOW 944px    *
*******************/
@media (max-width: 59rem) {
  h1 {
    font-size: 3rem;
    padding: 1.2rem;
  }

  .menu-list {
    padding: 0.6rem;
  }
  .menu-item {
    font-size: 1.6rem;
  }

  .hero-text,
  .section-text,
  .references-section .section-text,
  h3 {
    font-size: 2.4rem;
  }
  h4 {
    font-size: 2rem;
  }

  .footer-text {
    font-size: 1.6rem;
  }

  .process-map {
    grid-template-columns: repeat(2, 1fr);
    grid-template-areas:
      "s1 s2"
      "s4 s3"
      "s5 s6"
      "s8 s7"
      "s9 s10";
    padding: 1.2rem 0;
  }

  /* soron belül előre */
  .process-cell:nth-child(1)::after,
  .process-cell:nth-child(5)::after {
    transform: rotate(-45deg);
    right: -3rem;
  }

  /* sor vége után lefelé mutató nyíl */
  .process-cell:nth-child(2)::after,
  .process-cell:nth-child(4)::after,
  .process-cell:nth-child(6)::after,
  .process-cell:nth-child(8)::after {
    transform: rotate(45deg);
    right: 50%;
    top: 100%;
  }

  /* soron belül visszafelé */
  .process-cell:nth-child(3)::after,
  .process-cell:nth-child(7)::after {
    transform: rotate(135deg);
    left: -3rem;
  }

  .reference-row-img-left,
  .reference-row-img-right {
    grid-template-columns: 1fr;
  }

  .reference-row-img-right .section-text {
    grid-area: text;
  }

  .reference-row-img-right .img-box {
    grid-area: img;
  }

  .reference-row-img-right {
    grid-template-columns: 1fr;
    grid-template-areas:
      "img"
      "text";
  }
  .up-icon {
    right: 4px;
    width: 3.6rem;
    height: 3.6rem;
  }
}

/*******************
*   BELOW 768px    *
*******************/

@media (max-width: 48rem) and (max-aspect-ratio: 1) {
  .hero-flex {
    flex-direction: column;
    align-items: center;
  }

  .hero-img {
    max-width: 75%;
  }
}

@media (max-width: 48rem) {
  @keyframes move {
    to {
      width: 0;
      height: 0;
      left: 3.2rem;
      top: 3.2rem;
      /* transform: translateX(0);
      right: 0; */
      /* top: 8rem; */
      /* left: 2.4rem; */
      /* padding: 0 2.4rem; */
    }
  }

  .menu {
    display: none;
    background: none;
    border: none;
  }

  .menu-list {
    margin: auto;
    /* padding-left: 6rem; */
    /* flex-direction: column; */
    flex-wrap: wrap;
    justify-content: space-evenly;
    /****/
    -webkit-backdrop-filter: blur(20px);
    backdrop-filter: blur(20px);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    transition: all 0.5s ease-in-out;
    transform: translateX(100%);
    /****/
  }

  .menu.nav-open {
    display: block;
  }

  .menu-list.nav-open {
    /* display: block; */
    opacity: 1;
    transform: translateX(0);
  }

  .mobile-nav-icon {
    display: block;
    position: fixed;
    top: 0.8rem;
    left: 0.8rem;
  }

  .nav-open .mobile-nav-icon[name="close-circle-outline"] {
    display: block;
  }

  .menu-item {
    font-size: 2.4rem;
    /* background-color: #ffe8cc; */
    margin: 1.2rem 2.4rem;
    border-radius: 8px;
  }

  .container {
    margin-top: 0;
  }

  .hero {
    height: 100vh;
  }

  .intro-section,
  .technichs-section,
  .advantages-section,
  .process-section,
  .references-section,
  .contact-section {
    padding-top: 1.2rem;
  }

  h1 {
    font-size: 2rem;
    letter-spacing: 0.1em;
  }

  h2 {
    width: 75%;
    font-size: 2rem;
  }

  .hero-text {
    padding: 1.2rem;
  }

  .hero-text,
  .section-text,
  .references-section .section-text,
  h3 {
    font-size: 1.6rem;
  }

  h4 {
    font-size: 1.6rem;
  }

  .footer-text {
    font-size: 1.4rem;
  }

  .img-left {
    max-width: 50%;
    max-height: 50%;
    margin: auto;
    float: none;
    margin-bottom: 2.4rem;
  }

  .technichs-grid {
    grid-template-columns: 1fr;
  }

  .advantages-section {
    grid-template-columns: 1fr;
  }

  .process-map {
    grid-template-columns: 1fr;
    grid-template-areas:
      "s1"
      "s2"
      "s3"
      "s4"
      "s5"
      "s6"
      "s7"
      "s8"
      "s9";
  }

  /* .process-cell {
    max-width: 80%;
  } */

  .process-cell:nth-child(1)::after,
  .process-cell:nth-child(2)::after,
  .process-cell:nth-child(3)::after,
  .process-cell:nth-child(4)::after,
  .process-cell:nth-child(5)::after,
  .process-cell:nth-child(6)::after,
  .process-cell:nth-child(7)::after,
  .process-cell:nth-child(8)::after {
    transform: rotate(45deg);
    right: 50%;
    left: auto;
    top: 100%;
  }

  .process-stage-title {
    font-size: 2rem;
    height: fit-content;
  }

  .process-stage-text {
    font-size: 1.6rem;
    height: fit-content;
  }
}

/*******************
*   BELOW 544px    *
*******************/

@media (max-width: 34rem) {
  h1,
  .process-stage-title {
    font-size: 1.6rem;
  }

  h1 {
    animation: none;
    width: 100%;
    opacity: 1;
    white-space: unset;
  }

  h2 {
    font-size: 2rem;
    /* width: 75%; */
  }

  h3 {
    font-size: 1.8rem;
  }

  h4 {
    font-size: 1.4rem;
  }

  .footer-text {
    font-size: 1.2rem;
  }

  .section-text {
    font-size: 1.4rem;
  }

  .hero-img {
    animation: move-hero-img 2s ease-out 3s forwards;
  }

  .hero-text-box {
    animation: move-hero-text-box 2s ease-out 5s forwards;
  }

  .img-profile {
    float: none;
    float: inline-start;
    max-width: 33%;
  }

  .form-box .section-text {
    max-width: 90%;
  }
}

/*******************
*   BELOW 432px    *
*******************/
@media (max-width: 27rem) {
  .form-button {
    width: 20rem;
  }

  h2 {
    font-size: 1.6rem;
  }
}
